Name:		cabal2spec
Version:	0.6
Release:	1%{?dist}
Summary:	Specfile templating for Haskell Cabal Packages

Group:		Development/Languages
License:	GPLv2+
# update to final guidelines when approved by FPC
URL:		https://fedoraproject.org/wiki/PackagingDrafts/Haskell
Source0:	http://petersen.fedorapeople.org/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	ghc > 6.10.1-7

%description
This package provides specfile templates and a script cabal2spec for easy
packaging of Haskell Cabal packages (hackages) for ghc following
the Fedora Haskell Packaging Guidelines and associated RPM macros.

%prep
%setup -q

%build
%{nil}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/rpmdevtools


%changelog
* Mon Feb 16 2009 Jens Petersen <petersen@redhat.com> - 0.6-1
- update to cabal2spec-0.6:
  - add doc post requires for ghc-doc
  - cabal2spec-diff now uses cabal2spec
- use config(noreplace) for template files (#479803)

* Tue Feb 10 2009 Jens Petersen <petersen@redhat.com>
- update summary and description

* Mon Feb  9 2009 Jens Petersen <petersen@redhat.com> - 0.5-1
- add cabal2spec-diff script to diff current spec against current template
- add ghc-doc BR to binlib and lib templates

* Tue Jan 20 2009 Jens Petersen <petersen@redhat.com> - 0.4-3
- rename package to cabal2spec

* Tue Jan 20 2009 Jens Petersen <petersen@redhat.com> - 0.4-2
- remove old todo comments about splitting and ghc dep

* Tue Jan 20 2009 Jens Petersen <petersen@redhat.com> - 0.4-1
- move ghc_version back to templates for now
- leave macros.ghc in ghc
- require ghc

* Wed Jan 14 2009 Jens Petersen <petersen@redhat.com> - 0.3-1
- move and rename templates to /etc/rpmdevtools (#479803)
- provide a tarball
- add -doc subpackages for libs

* Tue Jan 13 2009 Jens Petersen <petersen@redhat.com> - 0.1-1
- initial version separated from ghc
